pcl::visualization::Window::ExitMainLoopTimerCallback Struct Reference

`#include <pcl/visualization/window.h>`

Inheritance diagram for pcl::visualization::Window::ExitMainLoopTimerCallback:

## Public Member Functions

| ExitMainLoopTimerCallback ()
| ExitMainLoopTimerCallback (const ExitMainLoopTimerCallback &src)
ExitMainLoopTimerCallback & | operator= (const ExitMainLoopTimerCallback &src)
virtual void | Execute (vtkObject *, unsigned long event_id, void *call_data)

## Static Public Member Functions

static ExitMainLoopTimerCallback * | New ()

## Public Attributes

int | right_timer_id
Window * | window

## Detailed Description

Definition at line 176 of file window.h.

## Constructor & Destructor Documentation

pcl::visualization::Window::ExitMainLoopTimerCallback::ExitMainLoopTimerCallback | ( |  | ) |

pcl::visualization::Window::ExitMainLoopTimerCallback::ExitMainLoopTimerCallback | ( | const ExitMainLoopTimerCallback & | src | ) |

## Member Function Documentation

virtual void pcl::visualization::Window::ExitMainLoopTimerCallback::Execute | ( | vtkObject * | ,
|  | unsigned long | event_id,
|  | void * | call_data
| ) |  |

virtual

static ExitMainLoopTimerCallback* pcl::visualization::Window::ExitMainLoopTimerCallback::New | ( |  | ) |

inline static

Definition at line 178 of file window.h.

ExitMainLoopTimerCallback& pcl::visualization::Window::ExitMainLoopTimerCallback::operator= | ( | const ExitMainLoopTimerCallback & | src | ) |

## Member Data Documentation

int pcl::visualization::Window::ExitMainLoopTimerCallback::right_timer_id

Definition at line 190 of file window.h.

Window* pcl::visualization::Window::ExitMainLoopTimerCallback::window

Definition at line 191 of file window.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/visualization/include/pcl/visualization/window.h